Bug 106800 - silent failure in daemon mode
Summary: silent failure in daemon mode
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: stunnel (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-10 18:24 UTC by Brian Brock
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-13 21:07:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Brock 2003-10-10 18:24:12 UTC
stunnel-3.22-5.7.3 and later die silently in when invoked in daemon mode (with
the '-d' option).

run the following:
stunnel -D 7 -d 23 -o stunnell.log -l /usr/sbin/in.telnetd
stunnel -D 7 -c -d 446 -o stunnelr.log -r localhost:23

no stunnel processes will be seen in the output of `ps` afterward, and no errors
are sent to stdout/stderr.  `telnet localhost 446 will return "Connection
refused", I expect to a login prompt (and do on other arch-release combinations). 


here's the logs generateed from the above stunnel commands:

# cat stunnell.log
2003.10.10 14:00:10 LOG5[2203:1024]: Using 'in.telnetd' as tcpwrapper service name
2003.10.10 14:00:10 LOG7[2203:1024]: RAND_status claims sufficient entropy for
the PRNG
2003.10.10 14:00:10 LOG6[2203:1024]: PRNG seeded successfully
2003.10.10 14:00:10 LOG7[2203:1024]: Certificate: /usr/share/ssl/certs/stunnel.pem
2003.10.10 14:00:10 LOG5[2203:1024]: stunnel 3.22 on ia64-redhat-linux-gnu
PTHREAD+LIBWRAP with OpenSSL 0.9.6b [engine] 9 Jul 2001
2003.10.10 14:00:10 LOG3[2204:1024]: Argument to -P (/) is not valid a directory
name

# cat stunnelr.log
2003.10.10 14:00:21 LOG5[2213:1024]: Using 'localhost.23' as tcpwrapper service name
2003.10.10 14:00:21 LOG7[2213:1024]: RAND_status claims sufficient entropy for
the PRNG
2003.10.10 14:00:21 LOG6[2213:1024]: PRNG seeded successfully
2003.10.10 14:00:21 LOG5[2213:1024]: stunnel 3.22 on ia64-redhat-linux-gnu
PTHREAD+LIBWRAP with OpenSSL 0.9.6b [engine] 9 Jul 2001
2003.10.10 14:00:21 LOG3[2214:1024]: Argument to -P (/) is not valid a directory
name

Comment 1 Nalin Dahyabhai 2003-10-10 19:36:03 UTC
"Argument to -P (/) is not valid a directory name" is a fatal error.  Do you get
the same error from 3.26?

Comment 2 Brian Brock 2003-10-13 13:52:12 UTC
seems that it may be fixed in stunnel-3.26-1.7.3.i386.rpm ... still checking.

Comment 3 Nalin Dahyabhai 2003-10-13 21:24:44 UTC
I note that glibc in 7.2-ia64 had recently had fixes for strncpy applied. 
Please check if updating glibc (to any more recent version, such as the
candidate glibc for RHL 7.3) fixes this problem.  I suspect it will, and that
would indicate that there were still some fixes needed after 2.2.4-32.

Comment 4 Brian Brock 2003-10-16 14:30:40 UTC
upgrading the system to glibc-2.2.5-43 fixes the problem.

Comment 5 Brian Brock 2004-05-13 21:07:00 UTC
fixed (also verified on 2.1AS).

closing bug as fixed in errata.


Note You need to log in before you can comment on or make changes to this bug.